/**
 * Created by Zhong on 2018/3/23.
 */
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const oprSchema = require('../all_schemas/opr_schema');
let gjlMapRationLibsSchema = new Schema(
    {
        ID: Number,
        dispName: String
    },
    {_id: false},
    {versionKey: false}
);
let gljMapSchema = new Schema({
        deleted: Boolean,
        ID: Number,
        dispName: String,
        appType: String,
        creator: String,
        createDate: String,
        recentOpr: [oprSchema],
        rationLibs: [gjlMapRationLibsSchema],
        compilationId: String,
        compilationName: String
    },
    {versionKey: false}
);

mongoose.model('std_glj_lib_map', gljMapSchema, 'std_glj_lib_map');